View Issue Details

IDProjectCategoryLast Update
0021649AI War 2[All Projects] Gameplay IdeaDec 18, 2019 6:45 pm
ReporteroverzotAssigned ToBadgerBadger 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.889 Reticulating Those Splines 
Fixed in Version1.018-1.021 Methodical Achievement 
Summary0021649: Add "Attack target type" command
DescriptionI'm finding that I can get into fights on planets where one particular ship type is chewing up another ship type and I want it to stop. Pausing and manually chaining attack orders is a pain, especially if some enemy units are overlapping. I keep wanting to use "ctrl+click" to order my ships to attack everything of a particular type.

Expected behavior would be:
1) Select my ships to fire with
2) Ctrl+RightClick on enemy ship
3) All selected ships do search for the "closest" target of that type from their current position on planet.
4) If two of these orders are chained, next closest is added each time (not sure if this will be productive very often, but I don't see a reason to disallow it)

Hopefully, processing a search like this won't be prohibitively expensive computationally.
TagsNo tags attached.

Activities

arsdor

Sep 15, 2019 7:47 am

reporter   ~0053107

Other solution is to add such a button on extended fleet order menu, as always. Add smth like "priority list of targets" to a ship line.

BadgerBadger

Sep 15, 2019 10:19 pm

manager   ~0053122

I thought this was already a feature?

Asteroid

Sep 16, 2019 12:04 am

reporter   ~0053123

Simply right-clicking an enemy unit stores it as the preferred target for all selected units (and should be inherited by newly built units if the flagship is in the selection, I think). I believe this is cleared when giving a regular movement order, but not sure.

Watch the tooltip for a unit after right-clicking an enemy, you'll see the preferred target there.

x4000Bughunter

Sep 16, 2019 9:23 am

administrator   ~0053126

I think it stays even after you give movement orders. If not, that's an accident.

Asteroid

Sep 16, 2019 12:37 pm

reporter   ~0053141

@x4000Bughunter Is there no way to revert them to "normal" behavior then?

x4000Bughunter

Sep 16, 2019 3:48 pm

administrator   ~0053152

I honestly don't recall. I think maybe toggling hold fire mode on and off again? But I'd have to check the code (or someone else feel free to).

This was a relatively recent addition.

alocritani

Nov 10, 2019 3:05 am

reporter   ~0054487

@x4000BughunterAny news about how to revert to "normal" behavior?

alocritani

Nov 10, 2019 3:07 am

reporter   ~0054488

(reposting to have a proper "@ notation")
@x4000Bughunter Any news about how to revert to "normal" behavior?

BadgerBadger

Dec 18, 2019 6:15 pm

manager   ~0055053

Issuing a movement command should revert them:

    public class GameCommand_MoveManyToOnePoint : BaseGameCommand
.....
                                                                                                                                                                                                                                                                                                                              
                if ( orderFom == OrderSource.HumanPlayer )
                    entity.PreferredEntityTypeDataForTargeting = null;
                                                                                                                             

This seems like reasonable behaviour to me. Is there any need for this bug report?

x4000Bughunter

Dec 18, 2019 6:21 pm

administrator   ~0055055

I guess someone needs to verify it works, and then we need to document the whole thing somewhere if maybe Peter or someone else wants to write a brief in-game wiki-thing entry.

x4000Bughunter

Dec 18, 2019 6:22 pm

administrator   ~0055056

Essentially even I didn't remember it worked this way, and I'm pretty sure I coded both bits. ;)

BadgerBadger

Dec 18, 2019 6:45 pm

manager   ~0055059

I've added an in-game tip explaining this mechanic

Issue History

Date Modified Username Field Change
Sep 14, 2019 10:17 pm overzot New Issue
Sep 15, 2019 7:47 am arsdor Note Added: 0053107
Sep 15, 2019 10:19 pm BadgerBadger Note Added: 0053122
Sep 16, 2019 12:04 am Asteroid Note Added: 0053123
Sep 16, 2019 9:23 am x4000Bughunter Note Added: 0053126
Sep 16, 2019 12:37 pm Asteroid Note Added: 0053141
Sep 16, 2019 3:48 pm x4000Bughunter Note Added: 0053152
Nov 10, 2019 3:05 am alocritani Note Added: 0054487
Nov 10, 2019 3:07 am alocritani Note Added: 0054488
Dec 18, 2019 6:15 pm BadgerBadger Note Added: 0055053
Dec 18, 2019 6:15 pm BadgerBadger Status new => requires feedback
Dec 18, 2019 6:21 pm x4000Bughunter Note Added: 0055055
Dec 18, 2019 6:22 pm x4000Bughunter Note Added: 0055056
Dec 18, 2019 6:45 pm BadgerBadger Assigned To => BadgerBadger
Dec 18, 2019 6:45 pm BadgerBadger Status requires feedback => resolved
Dec 18, 2019 6:45 pm BadgerBadger Resolution open => fixed
Dec 18, 2019 6:45 pm BadgerBadger Fixed in Version => 1.018-1.021 Methodical Achievement
Dec 18, 2019 6:45 pm BadgerBadger Note Added: 0055059